import { terser } from "rollup-plugin-terser";

const isProduction = (process.env.BUILD === "production");

export default {
  input: "src/viewer2D.js",
  output: [{
    name: "viewer2d",
    file: "dist/viewer2D.js",
    format: "umd"
  }, {
    file: "dist/viewer2D.esm.js",
    format: "es"
  }],
  plugins: [isProduction ? terser() : null]
};